run-testsuite

来自「用C++ 包装了大整数这个类」· 代码 · 共 38 行

TXT
38
字号
#!/bin/bashbad=# If you encounter the following problem with Valgrind like I did:#     https://bugzilla.redhat.com/show_bug.cgi?id=455644# you can pass the environment variable NO_VALGRIND=1 to run the testsuite# without it.if [ "$NO_VALGRIND" ]; then	cmd=(./testsuite)else	cmd=(valgrind --error-exitcode=1 --leak-check=full ./testsuite)fiset -o pipefail# Stdout goes directly to testsuite.out; stderr goes down the pipe.if ! "${cmd[@]}" 2>&1 >testsuite.out | tee testsuite.err; then	echo >&2 'Memory errors!'	bad=1fiif grep 'LEAK SUMMARY' testsuite.err >/dev/null; then	echo >&2 'Memory leaks!'	bad=1fiif ! diff -u testsuite.expected testsuite.out; then	echo >&2 'Output is incorrect!'	bad=1fiif [ $bad ]; then	echo >&2 'Test suite failed!'	exit 1else	echo 'Test suite passed.'fi

⌨️ 快捷键说明

复制代码Ctrl + C
搜索代码Ctrl + F
全屏模式F11
增大字号Ctrl + =
减小字号Ctrl + -
显示快捷键?